module Unlearn
  module GitHubAPI
    module Query
      Repos = Unlearn::GitHubAPI::Client.parse <<-'GRAPHQL'
        query ($endCursor: String) {
          viewer {
            repositories(first: 100, after: $endCursor, orderBy: {field: NAME, direction: ASC}) {
              nodes {
                nameWithOwner
              }
              pageInfo {
                endCursor
                hasNextPage
              }
            }
          }
        }
      GRAPHQL
    end
  end
end
